# Copyright (C) 2018, 2019 Columbia University Irving Medical Center,
#     New York, USA
# Copyright (C) 2019 Novo Nordisk Foundation Center for Biosustainability,
#     Technical University of Denmark

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
"""Test plotting functions just if matplotlib is available."""


import pytest


plotting = pytest.importorskip("dfba.plot.matplotlib")
plot_concentrations = plotting.plot_concentrations
plot_trajectories = plotting.plot_trajectories


def test_matplot_concentrations(sim_results):
    """Plot concentrations with matplotlib."""
    plot_concentrations(sim_results[0])


def test_matplot_trajectories(sim_results):
    """Plot trajetories with matplotlib."""
    plot_trajectories(sim_results[1])
